<template>
  <div>
    <el-carousel
      :interval="3000"
      :type="imgList?.length > 2 ? 'card' : ''"
      indicator-position="none"
      :height="settingHeight != '' ? settingHeight : '350px'"
    >
      <el-carousel-item v-for="(item, i) in imgList" :key="i">
        <div class="imgCarousel">
          <el-image :src="item.url" :preview-src-list="srcList" :fit="'fill'"/>
          <span v-if="item.name" class="medium">{{ item.name }}</span>
        </div>
      </el-carousel-item>
    </el-carousel>
  </div>
</template>
<script>
export default {
  name: "carousel",
  props: {
    imgList: {
      type: Array,
      default: [],
    },
    settingHeight: {
      type: String,
      default: "",
    },
  },
  data() {
    return {
      srcList: [],
    };
  },
  created() {
    this.srcList = this.imgList?.map((item) => item.url);
  },
};
</script>
